<?xml version="1.0" encoding="utf-8"?>
<!--
 * AGP Config
 * all AGP states definitions at here.
 -->
<Config>
	<TopGameList>
    	<GameListVersion>1.0</GameListVersion>
        <AISchedSpt>1</AISchedSpt>
        <AISchedGameList>
            <Game Name="app.weile.jiaxiangmjmj.huawei"/>
            <Game Name="app.weile.jiaxiangmjmj.honor"/>
            <Game Name="cn.jj"/>
            <Game Name="com.aligames.kuang.kybc.huawei"/>
            <Game Name="com.aligames.kuang.kybc.honor"/>
            <Game Name="com.aligames.sgzzlb"/>
            <Game Name="com.aligames.sgzzlb.aligames"/>
            <Game Name="com.aligames.sgzzlb.huawei"/>
            <Game Name="com.aligames.sgzzlb.honor"/>
            <Game Name="com.bf.sgs.hdexp.huawei"/>
            <Game Name="com.bf.sgs.hdexp.honor"/>
            <Game Name="com.yk.sgs.hdexp.honor"/>
            <Game Name="com.bilibili.azurlane"/>
            <Game Name="com.blizzard.wtcg.hearthstone"/>
            <Game Name="com.blizzard.wtcg.hearthstone.cn.huawei"/>
            <Game Name="com.blizzard.wtcg.hearthstone.cn.honor"/>
            <Game Name="com.boxiang.friend.shmj"/>
            <Game Name="com.cmge.dz.xhlmj.huawei"/>
            <Game Name="com.cmge.dz.xhlmj.honor"/>
            <Game Name="com.ddianle.lovedance.huawei"/>
            <Game Name="com.ddianle.lovedance.honor"/>
            <Game Name="com.denachina.g13002010.huawei"/>
            <Game Name="com.denachina.g13002010.honor"/>
            <Game Name="com.duoyi.shenwu3"/>
            <Game Name="com.example.chinesechess.huawei"/>
            <Game Name="com.example.chinesechess.honor"/>
            <Game Name="com.feiyu.carrot3.huawei"/>
            <Game Name="com.feiyu.carrot3.honor"/>
            <Game Name="com.gbits.atm.leiting"/>
            <Game Name="com.guandan.huawei"/>
            <Game Name="com.guandan.honor"/>
            <Game Name="com.happyelements.AndroidAnimal"/>
            <Game Name="com.happyelements.AndroidAnimal.ad"/>
            <Game Name="com.happyelements.AndroidAnimal.qq"/>
            <Game Name="com.happyelements.AndroidClover.mob"/>
            <Game Name="com.hermes.h1game.huawei"/>
            <Game Name="com.hermes.h1game.honor"/>
            <Game Name="com.hottagames.hotta.huawei"/>
            <Game Name="com.hottagames.hotta.honor"/>
            <Game Name="com.hypergryph.arknights"/>
            <Game Name="com.hypergryph.arknights.bilibili"/>
            <Game Name="com.imangi.templerun2"/>
            <Game Name="com.k7k7.goujihd.huawei"/>
            <Game Name="com.k7k7.goujihd.honor"/>
            <Game Name="com.kiloo.subwaysurf"/>
            <Game Name="com.ledou.mhhy"/>
            <Game Name="com.ledou.mhhy.huawei"/>
            <Game Name="com.ledou.mhhy.honor"/>
            <Game Name="com.ledou.mhhy.sogou"/>
            <Game Name="com.ledou.mhjy.huawei"/>
            <Game Name="com.ledou.mhjy.honor"/>
            <Game Name="com.liaoyanxuan.unblockwood"/>
            <Game Name="com.longyuan.zzq.huawei"/>
            <Game Name="com.longyuan.zzq.honor"/>
            <Game Name="com.dragonest.autochess.honor"/>
            <Game Name="com.mahjong.sichuang"/>
            <Game Name="com.maj3D.qmmj.huawei"/>
            <Game Name="com.maj3D.qmmj.honor"/>
            <Game Name="com.mfp.jelly.huawei"/>
            <Game Name="com.mfp.jelly.honor"/>
            <Game Name="com.miHoYo.bh3.huawei"/>
            <Game Name="com.miHoYo.bh3.honor"/>
            <Game Name="com.miHoYo.enterprise.NGHSoD"/>
            <Game Name="com.miHoYo.ys.bilibili"/>
            <Game Name="com.miHoYo.Yuanshen"/>
            <Game Name="com.minitech.miniworld.huawei"/>
            <Game Name="com.minitech.miniworld.honor"/>
            <Game Name="com.netease.aceracer.huawei"/>
            <Game Name="com.netease.aceracer.honor"/>
            <Game Name="com.netease.dhxy"/>
            <Game Name="com.netease.dhxy.huawei"/>
            <Game Name="com.netease.dhxy.honor"/>
            <Game Name="com.netease.dwrg"/>
            <Game Name="com.netease.dwrg.huawei"/>
            <Game Name="com.netease.dwrg.honor"/>
            <Game Name="com.netease.g67.huawei"/>
            <Game Name="com.netease.g67.honor"/>
            <Game Name="com.netease.harrypotter"/>
            <Game Name="com.netease.harrypotter.huawei"/>
            <Game Name="com.netease.harrypotter.honor"/>
            <Game Name="com.netease.lrs.huawei"/>
            <Game Name="com.netease.lrs.honor"/>
            <Game Name="com.netease.mc.huawei"/>
            <Game Name="com.netease.mc.honor"/>
            <Game Name="com.netease.mhxyhtb"/>
            <Game Name="com.netease.moba"/>
            <Game Name="com.netease.mrzh"/>
            <Game Name="com.netease.mrzh.huawei"/>
            <Game Name="com.netease.mrzh.honor"/>
            <Game Name="com.netease.my"/>
            <Game Name="com.netease.my.huawei"/>
            <Game Name="com.netease.my.honor"/>
            <Game Name="com.netease.onmyoji"/>
            <Game Name="com.netease.onmyoji.huawei"/>
            <Game Name="com.netease.onmyoji.honor"/>
            <Game Name="com.netease.pes.huawei"/>
            <Game Name="com.netease.pes.honor"/>
            <Game Name="com.netease.sky"/>
            <Game Name="com.netease.sky.huawei"/>
            <Game Name="com.netease.sky.honor"/>
            <Game Name="com.netease.stzb.huawei"/>
            <Game Name="com.netease.stzb.honor"/>
            <Game Name="com.netease.stzb.netease"/>
            <Game Name="com.netease.wyclx"/>
            <Game Name="com.netease.XY2Pocket"/>
            <Game Name="com.netease.xyqcbg"/>
            <Game Name="com.nexon.mdnf"/>
            <Game Name="com.outfit7.talkingtomgoldrun.HUAWEI"/>
            <Game Name="com.outfit7.talkingtomgoldrun.honor"/>
            <Game Name="com.pandadastudio.ninjamustdie3"/>
            <Game Name="com.playrix.township.chukong.HUAWEI"/>
            <Game Name="com.playrix.township.chukong.honor"/>
            <Game Name="com.popcap.pvz2cthdhwct"/>
            <Game Name="com.qileyx.ddz.huawei"/>
            <Game Name="com.qileyx.ddz.honor"/>
            <Game Name="com.qmzg2.huawei"/>
            <Game Name="com.qmzg2.honor"/>
            <Game Name="com.haiyou.qmzg2.honor"/>
            <Game Name="com.qqgame.happymj"/>
            <Game Name="com.qqgame.hlddz"/>
            <Game Name="com.qqgame.mic"/>
            <Game Name="com.sqw.jwdzg.huawei"/>
            <Game Name="com.sqw.jwdzg.honor"/>
            <Game Name="com.supercell.clashofclans.huawei"/>
            <Game Name="com.supercell.clashofclans.honor"/>
            <Game Name="com.supercell.clashroyale.huawei"/>
            <Game Name="com.supercell.clashroyale.honor"/>
            <Game Name="com.sy.dldlhsdj.huawei"/>
            <Game Name="com.sy.dldlhsdj.honor"/>
            <Game Name="com.tanwan.yscqlyzf.huawei"/>
            <Game Name="com.tanwan.yscqlyzf.honor"/>
            <Game Name="com.tencent.af"/>
            <Game Name="com.tencent.feiji"/>
            <Game Name="com.tencent.fifamobile"/>
            <Game Name="com.tencent.jkchess"/>
            <Game Name="com.tencent.KiHan"/>
            <Game Name="com.tencent.LEGOCUBE"/>
            <Game Name="com.tencent.lolm"/>
            <Game Name="com.tencent.peng"/>
            <Game Name="com.tencent.qqgame.qqhlupwvga"/>
            <Game Name="com.tencent.qqgame.xq"/>
            <Game Name="com.tencent.ref"/>
            <Game Name="com.tencent.shootgame"/>
            <Game Name="com.tencent.tmaoe"/>
            <Game Name="com.tencent.tmgp.cf"/>
            <Game Name="com.tencent.tmgp.cod"/>
            <Game Name="com.tencent.tmgp.djsy"/>
            <Game Name="com.tencent.tmgp.jx3m"/>
            <Game Name="com.tencent.tmgp.pubgmhd"/>
            <Game Name="com.tencent.tmgp.qqx5"/>
            <Game Name="com.tencent.tmgp.sgame"/>
            <Game Name="com.tencent.tmgp.speedmobile"/>
            <Game Name="com.tencent.tmgp.supercell.clashofclans"/>
            <Game Name="com.tencent.tmgp.tstl"/>
            <Game Name="com.tencent.tmgp.WePop"/>
            <Game Name="com.tencent.tmgp.wuxia"/>
            <Game Name="com.turbochilli.rollingsky_cn.huawei"/>
            <Game Name="com.turbochilli.rollingsky_cn.honor"/>
            <Game Name="com.tuyoo.doudizhu.android3d.huawei"/>
            <Game Name="com.tuyoo.doudizhu.android3d.honor"/>
            <Game Name="com.ty.ayglmn.huawei"/>
            <Game Name="com.ty.ayglmn.honor"/>
            <Game Name="com.uc108.mobile.gxni1.huawei"/>
            <Game Name="com.uc108.mobile.gxni1.honor"/>
            <Game Name="com.uc108.mobile.gxni.honor"/>
            <Game Name="com.uhxdq.ghdq.tg"/>
            <Game Name="com.volvapps.ef3.x.huawei"/>
            <Game Name="com.volvapps.ef3.x.honor"/>
            <Game Name="com.wedobest.shudu"/>
            <Game Name="com.wepie.snake.huawei"/>
            <Game Name="com.wepie.snake.honor"/>
            <Game Name="com.wepie.weplay"/>
            <Game Name="com.woobest.blqyd"/>
            <Game Name="com.xinyue.mahjong"/>
            <Game Name="com.yc.yydxny"/>
            <Game Name="com.yz.xfyzc2"/>
            <Game Name="com.zengame.hlmjhdj.HUAWEI"/>
            <Game Name="com.zengame.hlmjhdj.honor"/>
            <Game Name="com.zengame.zjscmj.honor"/>
            <Game Name="com.zlongame.lzgwy.pd"/>
            <Game Name="com.zlongame.mhmnz"/>
            <Game Name="com.ztgame.bob"/>
            <Game Name="yuanqiqishi.game.huawei"/>
            <Game Name="com.liangwu.yqqs.honor"/>
            <Game Name="yuanqiqishi.game.honor"/>
            <Game Name="com.mobile.legends"/>
            <Game Name="com.mobile.legends:UnityKillsMe"/>
            <Game Name="com.tencent.tmgp.gnyx"/>
        </AISchedGameList>
    </TopGameList>
	
    <TouchEnhance value="1">
        <TouchEnhanceVersion>1.0</TouchEnhanceVersion>
        <Params name="TouchFeature">
            <Param name="DropFrame" value="1">
                <pkg name="com.tencent.mf.uam" value="0"/>
            </Param>
            <Param name="AdptVsync" value="1">
                <pkg name="com.tencent.mf.uam" value="0"/>
            </Param>
            <Param name="DirectDeliver" value="1">
                <pkg name="com.tencent.mf.uam" value="0"/>
            </Param>
            <Param name="Xsync" value="0">
                <pkg name="com.tencent.tmgp.sgame" value="1"/>
                <pkg name="com.tencent.tmgp.pubgmhd" value="1"/>
            </Param>
        </Params>
        <Params name="TPFeature">
            <Param name="TYPE_COMMON">
                <pkg name="COMMON_GAME" type="0" policy="0xFFFE"/>
            </Param>
            <Param name="TYPE_MOBA">
                <pkg name="com.tencent.tmgp.sgame" type="1" policy="0xFFFF"/>
                <pkg name="com.tencent.tmgp.sgamece" type="1" policy="0xFFFF"/>
                <pkg name="com.tencent.lolm" type="2" policy="0xFFFF"/>
                <pkg name="com.netease.moba" type="3" policy="0xFFFF"/>
                <pkg name="com.netease.moba.huawei" type="3" policy="0xFFFF"/>
                <pkg name="com.netease.moba.honor" type="3" policy="0xFFFF"/>
                <pkg name="com.netease.moba.mi" type="3" policy="0xFFFF"/>
                <pkg name="com.netease.moba.vivo" type="3" policy="0xFFFF"/>
                <pkg name="com.garena.game.kgtw" type="4" policy="0xFFFF"/>
                <pkg name="com.mobile.legends" type="5" policy="0xFFFF"/>
                <pkg name="com.riotgames.league.wildrift" type="6" policy="0xFFFF"/>
                <pkg name="com.netease.g67.aligames" type="7" policy="0xFFFF"/>
                <pkg name="com.garena.game.kgsam" type="8" policy="0xFFFF"/>
                <pkg name="com.levelinfinite.sgameGlobal" type="9" policy="0xFFFF"/>
            </Param>
            <Param name="TYPE_FPS">
                <pkg name="com.tencent.tmgp.pubgmhd" type="101" policy="0xFFFF"/>
                <pkg name="com.tencent.tmgp.cf" type="102" policy="0xFFFF"/>
                <pkg name="com.tencent.tmgp.cod" type="103" policy="0xFFFF"/>
                <pkg name="com.tencent.ig" type="104" policy="0xFFFF"/>
                <pkg name="com.dts.freefireth" type="105" policy="0xFFFF"/>
                <pkg name="com.axlebolt.standoff2" type="106" policy="0xFFFF"/>
                <pkg name="com.activision.callofduty.shooter" type="107" policy="0xFFFF"/>
                <pkg name="com.tencent.mf.uam" type="108" policy="0xFFFE"/>
                <pkg name="com.epicgames.fortnite" type="109" policy="0xFFFF"/>
                <pkg name="com.garena.game.codm" type="110" policy="0xFFFF"/>
                <pkg name="com.proximabeta.mf.uamo" type="111" policy="0xFFFF"/>
                <pkg name="com.dts.freefiremax" type="112" policy="0xFFFF"/>
                <pkg name="com.ta.online.strike.fps" type="113" policy="0xFFFF"/>
            </Param>
            <Param name="TYPE_RAC">
                <pkg name="com.tencent.tmgp.speedmobile" type="201" policy="0xFFFF"/>
                <pkg name="com.tencent.tmgp.WePop" type="202" policy="0xFFFF"/>
                <pkg name="com.netease.dfjs" type="203" policy="0xFFFF"/>
                <pkg name="com.netease.dfjs.huawei" type="203" policy="0xFFFF"/>
                <pkg name="com.netease.dfjs.honor" type="203" policy="0xFFFF"/>
                <pkg name="com.netease.dfjs.vivo" type="203" policy="0xFFFF"/>
                <pkg name="com.aligames.kuang.kybc" type="204" policy="0xFFFF"/>
                <pkg name="com.aligames.kuang.kybc.huawei" type="204" policy="0xFFFF"/>
                <pkg name="com.aligames.kuang.kybc.honor" type="204" policy="0xFFFF"/>
                <pkg name="com.aligames.kuang.kybc.vivo" type="204" policy="0xFFFF"/>
                <pkg name="com.aligames.kuang.kybc.mi" type="204" policy="0xFFFF"/>
                <pkg name="com.easygames.race" type="205" policy="0xFFFF"/>
                <pkg name="com.dino.race.master" type="206" policy="0xFFFF"/>
                <pkg name="com.gameloft.android.ANMP.GloftA8HM" type="207" policy="0xFFFF"/>
            </Param>
            <Param name="TYPE_RPG">
                <pkg name="com.miHoYo.Yuanshen" type="301" policy="0xFFFE"/>
                <pkg name="com.miHoYo.Yuanshen.mi" type="301" policy="0xFFFE"/>
                <pkg name="com.miHoYo.Yuanshen.bilibili" type="301" policy="0xFFFE"/>
                <pkg name="com.mihoyo.genshinimpact" type="302" policy="0xFFFE"/>
                <pkg name="com.netease.sky" type="303" policy="0xFFFE"/>
                <pkg name="com.netease.sky.huawei" type="303" policy="0xFFFE"/>
                <pkg name="com.netease.sky.honor" type="303" policy="0xFFFE"/>
                <pkg name="com.netease.dwrg" type="304" policy="0xFFFE"/>
                <pkg name="com.netease.dwrg.huawei" type="304" policy="0xFFFE"/>
                <pkg name="com.netease.dwrg.honor" type="304" policy="0xFFFE"/>
                <pkg name="com.netease.dwrg.bili" type="304" policy="0xFFFE"/>
                <pkg name="com.netease.dwrg.mi" type="304" policy="0xFFFE"/>
                <pkg name="com.tencent.tmgp.dwrg" type="304" policy="0xFFFE"/>
                <pkg name="com.netease.nshm" type="305" policy="0xFFFE"/>
                <pkg name="com.miHoYo.hkrpg" type="306" policy="0xFFFE"/>
            </Param>
            <Param name="TYPE_MUSIC">
                <pkg name="com.tencent.tmgp.qqx5" type="401" policy="0xFFFF"/>
                <pkg name="com.gamestar.perfectpiano" type="402" policy="0xFFFF"/>
                <pkg name="com.turbochilli.rollingsky_cn" type="403" policy="0xFFFF"/>
                <pkg name="com.turbochilli.rollingsky_cn.huawei" type="403" policy="0xFFFF"/>
                <pkg name="com.turbochilli.rollingsky_cn.honor" type="403" policy="0xFFFF"/>
                <pkg name="com.turbochilli.rollingsky_cn.vivo" type="403" policy="0xFFFF"/>
                <pkg name="com.turbochilli.rollingsky_cn.mi" type="403" policy="0xFFFF"/>
                <pkg name="com.rhythmdance.taptile.dancingcats" type="404" policy="0xFFFF"/>
                <pkg name="com.youmusic.magictiles" type="404" policy="0xFFFF"/>
            </Param>
            <Param name="TYPE_OTHER">
                <pkg name="com.netease.party" type="901" policy="0xFFFF"/>
                <pkg name="com.netease.party.huawei" type="901" policy="0xFFFF"/>
                <pkg name="com.netease.party.honor" type="901" policy="0xFFFF"/>
                <pkg name="com.netease.party.mi" type="901" policy="0xFFFF"/>
                <pkg name="com.kiloo.subwaysurf" type="902" policy="0xFFFF"/>
                <pkg name="com.wepie.snake" type="903" policy="0xFFFF"/>
                <pkg name="com.wepie.snake.huawei" type="903" policy="0xFFFF"/>
                <pkg name="com.wepie.snake.honor" type="903" policy="0xFFFF"/>
                <pkg name="yuanqiqishi.game.huawei" type="904" policy="0xFFFF"/>
                <pkg name="yuanqiqishi.game.honor" type="904" policy="0xFFFF"/>
                <pkg name="com.liangwu.yqqs.honor" type="904" policy="0xFFFF"/>
                <pkg name="com.outfit7.talkingtomgoldrun.HUAWEI" type="905" policy="0xFFFF"/>
                <pkg name="com.outfit7.talkingtomgoldrun.honor" type="905" policy="0xFFFF"/>
                <pkg name="com.ztgame.bob" type="906" policy="0xFFFF"/>
                <pkg name="com.tencent.tmgp.supercell.brawlstars" type="907" policy="0xFFFF"/>
                <pkg name="com.imangi.templerun2" type="908" policy="0xFFFF"/>
                <pkg name="com.ChillyRoom.DungeonShooter" type="909" policy="0xFFFF"/>
                <pkg name="com.tencent.pao" type="910" policy="0xFFFF"/>
                <pkg name="com.football.soccer.league" type="911" policy="0xFFFF"/>
                <pkg name="com.imangi.templerun" type="912" policy="0xFFFF"/>
                <pkg name="com.ea.gp.fifamobile" type="913" policy="0xFFFF"/>
                <pkg name="com.candle.magic_piano" type="914" policy="0xFFFF"/>
                <pkg name="com.snake.io.slither.worms" type="915" policy="0xFFFF"/>
                <pkg name="com.amelosinteractive.snake" type="916" policy="0xFFFF"/>
                <pkg name="com.rioo.runnersubway" type="917" policy="0xFFFF"/>
            </Param>
        </Params>
    </TouchEnhance>
</Config>
